package com.example.beijingnopowercon.data;

/**
 * 设备基础信息对象 device_base_info
 *
 * @author ruoyi
 * @date 2025-05-19
 */
public class DeviceInfo {


    /**
     * 主键
     */
    private Long objId;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备类型
     */
    private Long deviceType;

    /**
     * 使用状态
     */
    private String useState;

    /**
     * 设备状态
     */
    private String deviceState;

    /**
     * 摆放桩位
     */
    private String locationName;

    /**
     * 开锁密码
     */
    private String openPassword;
    private String typeName;
    private Double defaultPrice;

    /**
     * 默认使用时间
     */
    private Double defaultTime;
    private String remark;

    /** 用户ID */
    private Long userId;

    /** 部门ID */
    private Long deptId;
    private String useUser;

    public String getUseUser() {
        return useUser;
    }

    public void setUseUser(String useUser) {
        this.useUser = useUser;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Double getDefaultPrice() {
        return defaultPrice;
    }

    public void setDefaultPrice(Double defaultPrice) {
        this.defaultPrice = defaultPrice;
    }

    public Double getDefaultTime() {
        return defaultTime;
    }

    public void setDefaultTime(Double defaultTime) {
        this.defaultTime = defaultTime;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Long getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Long deviceType) {
        this.deviceType = deviceType;
    }

    public String getUseState() {
        return useState;
    }

    public void setUseState(String useState) {
        this.useState = useState;
    }

    public String getDeviceState() {
        return deviceState;
    }

    private String useStateName;
    private String deviceStateName;

    public String getUseStateName() {
        if (useState.equals("1")){
            return "使用中";
        }
        return "空闲";
    }

    public String getDeviceStateName() {
        if (useState.equals("1")){
            return "使用中";
        }else if (deviceState.equals("0")){
            return "停用";
        }else if (deviceState.equals("1")){
            return "正常";
        }else if (deviceState.equals("2")){
            return "维修";
        }

        return deviceStateName;
    }

    public void setDeviceState(String deviceState) {
        this.deviceState = deviceState;
    }

    public String getLocationName() {
        return locationName;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getOpenPassword() {
        return openPassword;
    }

    public void setOpenPassword(String openPassword) {
        this.openPassword = openPassword;
    }

}
