package com.example.beijingnopowercon.data;

import java.util.Date;

/**
 * 使用记录对象 device_record_use
 *
 * @author ruoyi
 * @date 2025-05-19
 */
public class RecordUse {


    private String deviceId;

    /**
     * 设备编码
     */

    private String deviceCode;

    /**
     * 设备名称
     */

    private String deviceName;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 开锁时间
     */
    private String openTime;

    /**
     * 关锁时间
     */
    private String closeTime;

    /**
     * 使用时间(小时)
     */
    private double useTime;

    /**
     * 使用状态
     */
    private String useState;
    private String useStateName;

    public String getUseStateName() {
        if (useState.equals("1")){
            return "使用中";
        }
        return "已完成";
    }

    /**
     * 借用人
     */
    private String useUser;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getOpenTime() {
        return openTime;
    }

    public void setOpenTime(String openTime) {
        this.openTime = openTime;
    }

    public String getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(String closeTime) {
        this.closeTime = closeTime;
    }

    public double getUseTime() {
        return useTime;
    }

    public void setUseTime(double useTime) {
        this.useTime = useTime;
    }

    public String getUseState() {
        return useState;
    }

    public void setUseState(String useState) {
        this.useState = useState;
    }

    public String getUseUser() {
        return useUser;
    }

    public void setUseUser(String useUser) {
        this.useUser = useUser;
    }
}
